Supported Browsers – Parallels Plesk Panel 10

  • Firefox 3.5 and above
  • Microsoft Internet Explorer 7 and 8
  • Safari 4.0 and above
  • Google Chrome 6.x

NOTE: Pop-up blocking in your browser should be disabled when using Parallels Plesk Panel.
Microsoft IE 6 will work with Plesk 10 in most cases, but it is not recommended.  Microsoft IE 6 and below is not supported by SiteBuilder. 

Was this answer helpful? 0 Users Found This Useful (424 Votes)